<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.111
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.111">
   <title>Psychosociale anamnese</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.111']]
Item: (PsychosocialeAnamnese)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.111']]/hl7:observation
Item: (PsychosocialeAnamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.111']]/hl7:observation"
         id="tmp-c564ae1d-7498-4ea4-9293-44c897bc257c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="@classCode='OBS'">(PsychosocialeAnamnese): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="@moodCode='EVN'">(PsychosocialeAnamnese): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']/@nullFlavor)">(PsychosocialeAnamnese): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111'])&lt;=1">(PsychosocialeAnamnese): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(PsychosocialeAnamnese): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="count(hl7:code)&lt;=1">(PsychosocialeAnamnese): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(PsychosocialeAnamnese): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="count(hl7:value)&lt;=1">(PsychosocialeAnamnese): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.111']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']
Item: (PsychosocialeAnamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.111']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']"
         id="tmp-b8a6a301-a4aa-4601-8cf4-ae03d1bb17d3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.111'">(PsychosocialeAnamnese): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.111' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PsychosocialeAnamnese): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.111']]/hl7:observation/hl7:code
Item: (PsychosocialeAnamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.111']]/hl7:observation/hl7:code"
         id="tmp-b17a10ea-0b95-4a59-8f7c-0657dcfa7de9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(PsychosocialeAnamnese): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="@nullFlavor or (@code='46002-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Psychosocial well-being section')">(PsychosocialeAnamnese): de waarde van @code/@codeSystem MOET ''46002-2' codeSystem '2.16.840.1.113883.6.1' displayName='Psychosocial well-being section'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.111']]/hl7:observation/hl7:value
Item: (PsychosocialeAnamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.111']]/hl7:observation/hl7:value"
         id="tmp-42bbe980-5a64-4a6c-9356-864639047cf0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.111.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(PsychosocialeAnamnese): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>