<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.1">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]
Item: (Overdrachtgegevens)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation
Item: (Overdrachtgegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation"
         id="tmp-2b23e00a-fa2d-4cf3-8fbc-c2a7410f9df2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@classCode='OBS'">(Overdrachtgegevens): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@moodCode='EVN'">(Overdrachtgegevens): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']/@nullFlavor)">(Overdrachtgegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'])&lt;=1">(Overdrachtgegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Overdrachtgegevens): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:code)&lt;=1">(Overdrachtgegevens): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Overdrachtgegevens): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:value)&lt;=1">(Overdrachtgegevens): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:effectiveTime)&lt;=1">(Overdrachtgegevens): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:author)&lt;=1">(Overdrachtgegevens): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']
Item: (Overdrachtgegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']"
         id="tmp-21dc1265-9d31-475a-aaca-e03490bfe8d3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.1'">(Overdrachtgegevens): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Overdrachtgegevens): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:code
Item: (Overdrachtgegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:code"
         id="tmp-d2d709ec-45ff-4486-a1cb-9f109153625e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Overdrachtgegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-NoteCategory-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-NoteCategory-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Overdrachtgegevens): de waarde van @code MOET worden gekozen uit waardenlijst NoteCategory Note Category DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Overdrachtgegevens): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst NoteCategory Note Category DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:value
Item: (Overdrachtgegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:value"
         id="tmp-af907b7d-a7f1-41a1-8478-b04cecd0f671">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Overdrachtgegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:effectiveTime
Item: (Overdrachtgegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:effectiveTime"
         id="tmp-10f96891-0526-4557-ab3a-3259f5a1cbc9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(Overdrachtgegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:low)&gt;=1 ">(Overdrachtgegevens): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:low)&lt;=1">(Overdrachtgegevens): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:high)&lt;=1">(Overdrachtgegevens): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:center)=0">(Overdrachtgegevens): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:width)=0">(Overdrachtgegevens): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (Overdrachtgegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:effectiveTime/hl7:low"
         id="tmp-0e0a8bc3-ad25-4e7f-b89c-8103f5ec2e0f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Overdrachtgegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (Overdrachtgegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:effectiveTime/hl7:high"
         id="tmp-d6774409-243f-4ab9-b46b-53abbf07c711">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Overdrachtgegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (Overdrachtgegevens)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (Overdrachtgegevens)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:author
Item: (Author.6.6.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:author"
         id="tmp-486211bb-f2c3-497d-86fe-266178da4a70">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@typeCode='AUT'">(Author.6.6.1.1): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@contextControlCode='OP'">(Author.6.6.1.1): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.6.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Author.6.6.1.1)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.1']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-2ca13e98-7165-427a-a8b8-99f35e6ace08">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.1.html"
              test="@classCode='ASSIGNED'">(Author.6.6.1.1): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
</pattern>