<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.2">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]
Item: (DatumLaatsteContact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation
Item: (DatumLaatsteContact)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation"
         id="tmp-7f4020ce-c952-456a-b38e-93a7b6e67a6f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@classCode='OBS'">(DatumLaatsteContact): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@moodCode='EVN'">(DatumLaatsteContact): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2']/@nullFlavor)">(DatumLaatsteContact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2'])&lt;=1">(DatumLaatsteContact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(DatumLaatsteContact): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:code)&lt;=1">(DatumLaatsteContact): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(DatumLaatsteContact): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="count(hl7:value)&lt;=1">(DatumLaatsteContact): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2']
Item: (DatumLaatsteContact)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.2']"
         id="tmp-8d5b52c3-db69-4809-b54a-cbbd15d7ec7e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.2'">(DatumLaatsteContact): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.2' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(DatumLaatsteContact): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:code
Item: (DatumLaatsteContact)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:code"
         id="tmp-014f3704-faf1-48e1-8f71-e1c073c3e654">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(DatumLaatsteContact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@nullFlavor or (@code='21975-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Date last contact')">(DatumLaatsteContact): de waarde van @code/@codeSystem MOET ''21975-8' codeSystem '2.16.840.1.113883.6.1' displayName='Date last contact'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:value
Item: (DatumLaatsteContact)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']]/hl7:observation/hl7:value"
         id="tmp-6ec050bf-ba9d-4005-80c3-d29283cb8210">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.2.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(DatumLaatsteContact): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.FULL" bevatten</assert>
      <extends rule="TS.DATE.FULL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>