<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.22
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.22">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.22
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']
Item: (AssignedPersonIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']"
         id="tmp-d6abf068-a2fe-49cb-b804-114a92a4dc26">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']/@nullFlavor)">(AssignedPersonIdentified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'])&lt;=1">(AssignedPersonIdentified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 ">(AssignedPersonIdentified): element hl7:id[@root='2.16.528.1.1007.3.1'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="count(hl7:code)&lt;=1">(AssignedPersonIdentified): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.22
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']
Item: (AssignedPersonIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']"
         id="tmp-9c12ab3b-7bda-49e1-9260-66937075dae2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.22'">(AssignedPersonIdentified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.22' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AssignedPersonIdentified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.22
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (AssignedPersonIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-e0aee053-1bee-418d-9b2f-424508547c4a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AssignedPersonIdentified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="@root='2.16.528.1.1007.3.1'">(AssignedPersonIdentified): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AssignedPersonIdentified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.22
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']/hl7:code
Item: (AssignedPersonIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']/hl7:code"
         id="tmp-9d8b1e00-3f64-4c10-bb7d-96c43b05f9e4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AssignedPersonIdentified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>