<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.10
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.10">
   <title>Correspondentie Verkort</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]
Item: (CorrespondentieVerkort)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act
Item: (CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act"
         id="tmp-71c1cdb4-6326-4d46-b397-2d901854c79d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@classCode='DOCCLIN'">(CorrespondentieVerkort): de waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@moodCode='EVN'">(CorrespondentieVerkort): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']/@nullFlavor)">(CorrespondentieVerkort): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'])&lt;=1">(CorrespondentieVerkort): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CorrespondentieVerkort): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&gt;=1 ">(CorrespondentieVerkort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&lt;=1">(CorrespondentieVerkort): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:text)&lt;=1">(CorrespondentieVerkort): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:text)=0">(CorrespondentieVerkort): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CorrespondentieVerkort): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:author)&lt;=1">(CorrespondentieVerkort): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']
Item: (CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']"
         id="tmp-f470a5e1-d9d1-4210-9a64-ecec5dc6a77f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.10'">(CorrespondentieVerkort): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.10' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(CorrespondentieVerkort): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:id
Item: (CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:id"
         id="tmp-003ee24c-9f49-48a4-be82-ee457b469fdf">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(CorrespondentieVerkort): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:code
Item: (CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:code"
         id="tmp-862a1af7-21b9-4bc0-8f1d-793eb5f21f15">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(CorrespondentieVerkort): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or (@code='UNK' and @codeSystem='2.16.840.1.113883.5.1008')">(CorrespondentieVerkort): de waarde van @code/@codeSystem MOET ''UNK' codeSystem '2.16.840.1.113883.5.1008'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:text
Item: (CorrespondentieVerkort)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author
Item: (Author.6.12.1.1)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author"
         id="tmp-b6745d9b-ccaa-4002-a8ae-840d8d2fd74b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@typeCode='AUT'">(Author.6.12.1.1): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@contextControlCode='ON'">(Author.6.12.1.1): de waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(Author.6.12.1.1): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:time)&lt;=1">(Author.6.12.1.1): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&gt;=1 and not(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/@nullFlavor)">(Author.6.12.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.12.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:time
Item: (Author.6.12.1.1)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:time"
         id="tmp-abea9781-5c65-4302-9275-fceb4179b5c5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Author.6.12.1.1): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Author.6.12.1.1)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-65342b96-c06c-44a5-849a-bf661d566631">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@classCode='ASSIGNED'">(Author.6.12.1.1): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Author.6.12.1.1): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&lt;=1">(Author.6.12.1.1): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (Author.6.12.1.1)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-09f78807-f9df-4954-b4b4-5fe90bd9e9d8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(Author.6.12.1.1): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.30.12'' zijn.</assert>
   </rule>
</pattern>