<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.104
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.104">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.104
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.104']]
Item: (Zorgaanvrager)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.104
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.104']]/hl7:assignedEntity
Item: (Zorgaanvrager)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.104']]/hl7:assignedEntity"
         id="tmp-46d19f50-b8b1-40c3-bf22-108c7c04d6df">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.104.html"
              test="@classCode='ASSIGNED'">(Zorgaanvrager): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.104.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104']/@nullFlavor)">(Zorgaanvrager): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.104.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'])&lt;=1">(Zorgaanvrager): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.104.html"
              test="count(hl7:code)&gt;=1 ">(Zorgaanvrager): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.104.html"
              test="count(hl7:code)&lt;=1">(Zorgaanvrager): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.104
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.104']]/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104']
Item: (Zorgaanvrager)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.104']]/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.104']"
         id="tmp-60b8191f-b108-49e9-be9c-1e904faf3486">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.104.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.104'">(Zorgaanvrager): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.104' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.104.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Zorgaanvrager): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.104
Context: *[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.104']]/hl7:assignedEntity/hl7:code
Item: (Zorgaanvrager)
-->

<rule context="*[hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.104']]/hl7:assignedEntity/hl7:code"
         id="tmp-8ed5f1b6-e201-4785-8923-a6679b5be78c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.104.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Zorgaanvrager): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgaanvragerVerkort-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-Melder-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgaanvragerVerkort-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-Melder-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.104.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Zorgaanvrager): de waarde van @code MOET worden gekozen uit waardenlijst ZorgaanvragerVerkort ZorgaanvragerVerkort (melder/verwijzer/klant) of Melder DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.104.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Zorgaanvrager): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ZorgaanvragerVerkort ZorgaanvragerVerkort (melder/verwijzer/klant) of Melder DYNAMIC.</assert>
   </rule>
</pattern>