<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.119
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.119">
   <title>Reanimatiebeleid</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.119']]
Item: (Reanimatiebeleid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.119']]/hl7:observation
Item: (Reanimatiebeleid)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.119']]/hl7:observation"
         id="tmp-f480ac7c-29a6-4b7f-b034-28f6626066ba">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="@classCode='OBS'">(Reanimatiebeleid): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="@moodCode='EVN'">(Reanimatiebeleid): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']/@nullFlavor)">(Reanimatiebeleid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119'])&lt;=1">(Reanimatiebeleid): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Reanimatiebeleid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="count(hl7:code)&lt;=1">(Reanimatiebeleid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Reanimatiebeleid): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="count(hl7:value)&lt;=1">(Reanimatiebeleid): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.119']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']
Item: (Reanimatiebeleid)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.119']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']"
         id="tmp-645218b5-1683-40e6-866b-05e69c9491b1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.119'">(Reanimatiebeleid): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.119' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Reanimatiebeleid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.119']]/hl7:observation/hl7:code
Item: (Reanimatiebeleid)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.119']]/hl7:observation/hl7:code"
         id="tmp-18615f71-b9f7-42b2-b709-d744a779dfa1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Reanimatiebeleid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="@nullFlavor or (@code='REP' and @codeSystem='2.16.840.1.113883.5.4')">(Reanimatiebeleid): de waarde van @code/@codeSystem MOET ''REP' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.119']]/hl7:observation/hl7:value
Item: (Reanimatiebeleid)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.119']]/hl7:observation/hl7:value"
         id="tmp-565b6393-be3d-45d9-86de-9244ef54f68e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.119.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Reanimatiebeleid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>