<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.16
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.16">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.16
Context: *[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]
Item: (ActReferentie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.16
Context: *[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference
Item: (ActReferentie)
-->

<rule context="*[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference"
         id="tmp-7190f9db-aa6b-4a43-946e-05c147988c0e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:classCode)&gt;=1 and not(hl7:classCode/@nullFlavor)">(ActReferentie): element hl7:classCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:classCode)&lt;=1">(ActReferentie): element hl7:classCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:moodCode)&gt;=1 and not(hl7:moodCode/@nullFlavor)">(ActReferentie): element hl7:moodCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:moodCode)&lt;=1">(ActReferentie): element hl7:moodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16']/@nullFlavor)">(ActReferentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16'])&lt;=1">(ActReferentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ActReferentie): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="count(hl7:id)&lt;=1">(ActReferentie): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.16
Context: *[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference/hl7:classCode
Item: (ActReferentie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.16
Context: *[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference/hl7:moodCode
Item: (ActReferentie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.16
Context: *[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16']
Item: (ActReferentie)
-->

<rule context="*[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.16']"
         id="tmp-5a373d55-b2b9-4f76-818f-740212cb8d3b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.16'">(ActReferentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.16' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ActReferentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.16
Context: *[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference/hl7:id
Item: (ActReferentie)
-->

<rule context="*[hl7:actReference[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']]/hl7:actReference/hl7:id"
         id="tmp-a66cc80a-6ca1-46b3-800a-7354b20c0dee">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ActReferentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <let name="theClass" value="@classCode"/>
      <let name="theMood" value="@moodCode"/>
      <let name="theRoot" value="hl7:id/@root"/>
      <let name="theExtension" value="hl7:id/@extension"/>
      <assert role="error"
              test="ancestor::hl7:CareProvisionEvent//hl7:*[@classCode=$theClass and @moodCode=$theMood]/hl7:id[not(parent::hl7:actReference) and @root=$theRoot and (not(@extension) or @extension=$theExtension)]">(ActReferentie): (TMP ActReferentie): actReference MOET verwijzen naar een element met dezelfde @classCode en @moodCode en hetzelfde id binnen dezelfde CareProvisionEvent</assert>
   </rule>
</pattern>