<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.18
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.18">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']
Item: (PatientNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']"
         id="tmp-1d8ab79a-1a23-4da9-9827-49561d1c62bd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']/@nullFlavor)">(PatientNL): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'])&lt;=1">(PatientNL): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(PatientNL): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(PatientNL): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:addr[@use='HP' or @use='PST']|hl7:addr[@use and not(@use='OR')]|hl7:addr[not(@use) and hl7:useablePeriod])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="$elmcount&lt;=3">(PatientNL): keuze (hl7:addr[@use='HP' or @use='PST'] of hl7:addr[@use and not(@use='OR')] of hl7:addr[not(@use) and hl7:useablePeriod]) bevat te veel elementen [max 3x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:statusCode)&lt;=1">(PatientNL): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:effectiveTime)&lt;=1">(PatientNL): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:confidentialityCode)&lt;=1">(PatientNL): element hl7:confidentialityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:veryImportantPersonCode)&lt;=1">(PatientNL): element hl7:veryImportantPersonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']])&gt;=1 ">(PatientNL): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']])&lt;=1">(PatientNL): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']
Item: (PatientNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']"
         id="tmp-01093adb-c5e8-4fb9-8b4a-380eda64b7ec">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.18'">(PatientNL): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.18' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PatientNL): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (PatientNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-d84aaa33-c03d-4153-8ad4-07f20277e65d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PatientNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(PatientNL): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PatientNL): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']
Item: (PatientNL)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']
Item: (AdresOfficieel)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']"
         id="tmp-6ab508db-ece1-4e6c-9a2e-301d2ed14646">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(AdresOfficieel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="count(index-of(@use,'HP'))=1 or count(index-of(@use,'PST'))=1">(AdresOfficieel): 
          <name/>/@use MOET waarde 'HP' of 'PST' bevatten</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:streetName)&gt;=1 and not(hl7:streetName/@nullFlavor)">(AdresOfficieel): element hl7:streetName is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:streetName)&lt;=1">(AdresOfficieel): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)">(AdresOfficieel): element hl7:houseNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:houseNumber)&lt;=2">(AdresOfficieel): element hl7:houseNumber komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:additionalLocator)&lt;=1">(AdresOfficieel): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">(AdresOfficieel): element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:postalCode)&lt;=1">(AdresOfficieel): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:city)&lt;=1">(AdresOfficieel): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:county)&lt;=1">(AdresOfficieel): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresOfficieel): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:streetName
Item: (AdresOfficieel)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:streetName"
         id="tmp-b93de446-73b8-4e8a-80e2-b5daff84459b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AdresOfficieel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber
Item: (AdresOfficieel)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber"
         id="tmp-eaff112f-7b13-4732-975c-1595cb474d48">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AdresOfficieel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator
Item: (AdresOfficieel)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator"
         id="tmp-e7290a0f-956b-4bdc-beac-f917f5b0643a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AdresOfficieel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error" test="starts-with(text(),'to') or starts-with(text(),'by')">(AdresOfficieel): 
            <name path=".."/>/<name/> MOET 'to' of 'by' bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode
Item: (AdresOfficieel)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode"
         id="tmp-c6737fb5-c24f-46b2-87c6-2aeacfceafef">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AdresOfficieel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error" test="string-length(text())=7">(AdresOfficieel): 
            <name path=".."/>/<name/> MOET formaat 'nnnn AA' zijn (met spatie)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:city
Item: (AdresOfficieel)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:city"
         id="tmp-911b94db-9f7c-4fdc-95ec-91dd239d8637">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(AdresOfficieel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:county
Item: (AdresOfficieel)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:county"
         id="tmp-5c3a81ce-4ee2-4a69-9975-0d34973d80e9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(AdresOfficieel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresOfficieel): 
            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod
Item: (AdresOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod"
         id="tmp-e3bfed32-437d-4d70-948e-a3053ce8ea7f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low"
         id="tmp-bd332ada-ded9-45f7-b8f3-270fded8e1e2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high"
         id="tmp-92991ccd-788b-4672-9ea3-6865f8210b54">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]"
         id="tmp-dd92229f-f72d-421c-a863-c5a6879f9e66">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="warning" test="@use">(AdresZoalsBekendBijInstelling): Het attribuut @use MOET, indien aanwezig, 'HP' (Primair woonadres) of 'PST' (Postadres), 'PHYS' (Bezoekadres), 'WP' (Werkadres), 'HV' (Vakantieadres), of 'CONF' (Geheim adres) bevatten.</assert>
      <let name="elmcount"
           value="count(hl7:streetName|hl7:houseNumber|hl7:buildingNumberSuffix|hl7:additionalLocator|hl7:postalCode|hl7:city|hl7:county|hl7:country|hl7:delimiter|hl7:desc)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="$elmcount&gt;=1">(AdresZoalsBekendBijInstelling): keuze (hl7:streetName of hl7:houseNumber of hl7:buildingNumberSuffix of hl7:additionalLocator of hl7:postalCode of hl7:city of hl7:county of hl7:country of hl7:delimiter of hl7:desc) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresZoalsBekendBijInstelling): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:streetName
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:streetName"
         id="tmp-abb0932d-ac71-4275-be80-bc61e62274f6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber"
         id="tmp-dfb07bfc-64d2-44da-83e8-e5ac7e655c20">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix"
         id="tmp-0665657f-14bf-4f3b-8515-004ab659f745">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator"
         id="tmp-a776a377-b840-48ae-a1c8-353494727846">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error" test="text()='to' or text()='by'">(AdresZoalsBekendBijInstelling): 
              <name path=".."/>/<name/> MOET 'to' of 'by' bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:postalCode
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:postalCode"
         id="tmp-8bc90c35-07c9-47fd-be80-ee05a3e5ebb1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:city
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:city"
         id="tmp-b900c326-8cac-4c95-a4f0-5be0ed8ab8c1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:county
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:county"
         id="tmp-cdd51826-f3a8-46ee-8531-caf0d5dcd754">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresZoalsBekendBijInstelling): 
              <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33 (IH Basiscomponenten/Jeugdgezondheidszorg)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:country
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:country"
         id="tmp-7052224c-2ea3-4956-855c-d365a813c926">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(AdresZoalsBekendBijInstelling): 
              <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:delimiter
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:delimiter"
         id="tmp-f0639c9b-8ba1-4a2b-be7d-79071d5eb68b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:desc
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:desc"
         id="tmp-86e0634f-fb2e-4a33-95b4-dba7b70423df">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AdresZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod"
         id="tmp-407ff916-61e6-478b-9df6-8f35cbc327dd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low"
         id="tmp-e9ce77e4-0a13-4889-8bda-4b78651bc63e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high"
         id="tmp-f4610a99-7c7e-4e53-9e6b-6c906eecaea4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]
Item: (AdresVestigingVertrekNederland)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]"
         id="tmp-028a9036-2f0e-4127-8f8c-a98e15f6298a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(AdresVestigingVertrekNederland): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="not(@use)">(AdresVestigingVertrekNederland): Het attribuut @use MAG NIET worden gebruikt.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:streetName)=0">(AdresVestigingVertrekNederland): element hl7:streetName MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:houseNumber)=0">(AdresVestigingVertrekNederland): element hl7:houseNumber MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:buildingNumberSuffix)=0">(AdresVestigingVertrekNederland): element hl7:buildingNumberSuffix MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:additionalLocator)=0">(AdresVestigingVertrekNederland): element hl7:additionalLocator MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:postalCode)=0">(AdresVestigingVertrekNederland): element hl7:postalCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:city)=0">(AdresVestigingVertrekNederland): element hl7:city MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:county)=0">(AdresVestigingVertrekNederland): element hl7:county MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)">(AdresVestigingVertrekNederland): element hl7:country is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:country)&lt;=1">(AdresVestigingVertrekNederland): element hl7:country komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:delimiter)=0">(AdresVestigingVertrekNederland): element hl7:delimiter MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:desc)=0">(AdresVestigingVertrekNederland): element hl7:desc MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:useablePeriod)&gt;=1 and not(hl7:useablePeriod/@nullFlavor)">(AdresVestigingVertrekNederland): element hl7:useablePeriod is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresVestigingVertrekNederland): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:streetName
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:houseNumber
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:buildingNumberSuffix
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:additionalLocator
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:postalCode
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:city
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:county
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country
Item: (AdresVestigingVertrekNederland)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country"
         id="tmp-ffbdcc83-d389-461b-b08a-4e0deafacc92">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(AdresVestigingVertrekNederland): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.4.16.34')">(AdresVestigingVertrekNederland): de waarde van @code/@codeSystem MOET ''6030' codeSystem '2.16.840.1.113883.2.4.4.16.34'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:delimiter
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:desc
Item: (AdresVestigingVertrekNederland)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod"
         id="tmp-56b9210f-f68d-46ee-95c1-2028e1f6bc35">
      <extends rule="tmp-b23506c6-9e7a-46e6-82df-fc6fac79b6e2"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:low)&lt;=1">(AdresVestigingVertrekNederland): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:high)&lt;=1">(AdresVestigingVertrekNederland): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low"
         id="tmp-7d95c75c-f9f0-499b-9e8d-c74753551146">
      <extends rule="tmp-f8080c2a-7d90-461b-9f02-3e0e92265100"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(AdresVestigingVertrekNederland): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high"
         id="tmp-e223bc89-e01b-4a09-8a33-1d5b00fce83b">
      <extends rule="tmp-ab68c784-0ef5-42b4-89e7-8a17a69b3410"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(AdresVestigingVertrekNederland): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-b23506c6-9e7a-46e6-82df-fc6fac79b6e2" abstract="true">
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="$elmcount&gt;=1">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="$elmcount&lt;=2">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-f8080c2a-7d90-461b-9f02-3e0e92265100" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-M-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-ab68c784-0ef5-42b4-89e7-8a17a69b3410" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-M-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:width
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:center
Item: (Periode-M-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:telecom
Item: (PatientNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:telecom"
         id="tmp-054cbdac-e174-40dc-b181-fc49fe5b171c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(PatientNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:statusCode
Item: (PatientNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:statusCode"
         id="tmp-bee6aec1-f0a8-4fcd-b1cd-e11f05361d74">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(PatientNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or (@code='active')">(PatientNL): de waarde van @code MOET ''active'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:effectiveTime
Item: (PatientNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:effectiveTime"
         id="tmp-dabccd19-24a5-4ac3-a1c0-6ac6fc9a5b2d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(PatientNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:confidentialityCode
Item: (PatientNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:confidentialityCode"
         id="tmp-c058a785-1d37-49e9-8230-165d164951e4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(PatientNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:veryImportantPersonCode
Item: (PatientNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:veryImportantPersonCode"
         id="tmp-f74ed093-1a58-4f86-bc46-b9ee17a3725a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(PatientNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.18
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']]
Item: (PatientNL)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.18']/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']]"
         id="tmp-c2267321-3c14-4393-9676-ecaea5d2608a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@determinerCode='INSTANCE'">(PatientNL): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.18.html"
              test="@classCode='PSN'">(PatientNL): de waarde van @classCode MOET 'PSN' zijn.</assert>
   </rule>
</pattern>