<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.24
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.24">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]
Item: (FamilieRelatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship
Item: (FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship"
         id="tmp-d984db78-6510-4a99-8311-474802e83b3d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@classCode='PRS'">(FamilieRelatie): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']/@nullFlavor)">(FamilieRelatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'])&lt;=1">(FamilieRelatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:code)&gt;=1 ">(FamilieRelatie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:code)&lt;=1">(FamilieRelatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:relationshipHolder)&gt;=1 and not(hl7:relationshipHolder/@nullFlavor)">(FamilieRelatie): element hl7:relationshipHolder is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:relationshipHolder)&lt;=1">(FamilieRelatie): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']
Item: (FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']"
         id="tmp-e01e2f71-0112-4650-aa56-9df84b6f5ad2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.24'">(FamilieRelatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.24' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(FamilieRelatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:code
Item: (FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:code"
         id="tmp-174067d2-8caf-42b9-ab6a-d9aacdff133c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(FamilieRelatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-PersonalRelationshipRoleType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-PersonalRelationshipRoleType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(FamilieRelatie): de waarde van @code MOET worden gekozen uit waardenlijst PersonalRelationshipRoleType DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(FamilieRelatie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst PersonalRelationshipRoleType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder
Item: (FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-c8819ae5-56aa-4faf-b8bc-1cc006a0faf9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@determinerCode='INSTANCE'">(FamilieRelatie): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@classCode='PSN'">(FamilieRelatie): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(FamilieRelatie): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:birthTime)&lt;=1">(FamilieRelatie): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:deceasedTime)&lt;=1">(FamilieRelatie): element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:administrativeGenderCode
Item: (FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:administrativeGenderCode"
         id="tmp-1a0d1fe2-4074-4eaa-bb80-395b7e405fd1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(FamilieRelatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(FamilieRelatie): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(FamilieRelatie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime
Item: (FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime"
         id="tmp-8891de26-1639-4a4e-994a-8e092c1f6fed">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(FamilieRelatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime
Item: (FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime"
         id="tmp-b3bee303-0ae3-4358-a6ab-b4ae29d069fb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(FamilieRelatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>