<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.25
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.25">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.25
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]
Item: (EpisodeNaam)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.25
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation
Item: (EpisodeNaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation"
         id="tmp-7e03230a-e6b0-45e7-a2ca-03b5df702946">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@classCode='OBS'">(EpisodeNaam): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@moodCode='EVN'">(EpisodeNaam): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']/@nullFlavor)">(EpisodeNaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25'])&lt;=1">(EpisodeNaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(EpisodeNaam): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:code)&lt;=1">(EpisodeNaam): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(EpisodeNaam): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="count(hl7:value)&lt;=1">(EpisodeNaam): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.25
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']
Item: (EpisodeNaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']"
         id="tmp-b221203d-62c3-41a0-a2d0-8b8c6a2803fb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.25'">(EpisodeNaam): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.25' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(EpisodeNaam): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.25
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:code
Item: (EpisodeNaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:code"
         id="tmp-fd9678cc-5c2d-4759-bbb3-c66c403c97f1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(EpisodeNaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@nullFlavor or (@code='DX' and @codeSystem='2.16.840.1.113883.5.4')">(EpisodeNaam): de waarde van @code/@codeSystem MOET ''DX' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.25
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:value
Item: (EpisodeNaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']]/hl7:observation/hl7:value"
         id="tmp-eb643a3f-e6b3-4117-828b-e4dca46b88d0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.25.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(EpisodeNaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>